Commit 2d21382f5720cdc40f3d0bbfd03e1d8af083fdfb

Martin Mitas 2016-10-03T21:41:13

Run CommonMark testsuite when building on travis.ci.org.

diff --git a/.travis.yml b/.travis.yml
index af62be4..7175b4e 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -14,3 +14,4 @@ before_script:
 
 script:
     - make
+    - ../scripts/run-commonmark-tests.sh
diff --git a/scripts/run-commonmark-tests.sh b/scripts/run-commonmark-tests.sh
new file mode 100755
index 0000000..3421e7f
--- /dev/null
+++ b/scripts/run-commonmark-tests.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -d commonmark ]; then
+    git clone https://github.com/jgm/commonmark.git
+fi
+
+commonmark/test/spec_tests.py -s commonmark/spec.txt -p md2html/md2html
+